function [uk,ik] = controlFunExampleHIL(tk,tkm,rk,pk,wk,ikm)

    % definindo amplitude do degrau para antiwindup
    amplitudeDegrau = 6;

    % constantes aproximadas do motor pra pr-processamento
    Kp = 10;
    Kw = 1;
    
    % calculando sinal de erro
    e = (rk - pk)/Kp;
    es = -wk/Kw;
    ik = ikm + e*(tk-tkm); % integrando o erro

    % definindo valores de controle PI-D
    if rk < 0
        P = 7;
        I = 6;
        D = 2;
    else % rk > 0
        P = 8.3333;
        I = 0;
        D = 1.8867;
    end
    
    % antiwindup simples (reseta integral de erro quando sinal de
    % referncia muda). Assumindo erro esttico da ordem de 6%,  esperado
    % que quando a referncia muda de sinal a diferena entre a mesma e o
    % sinal do potencimetro ser ao menos 100% - 6%
    if abs(rk-pk) > 0.94*amplitudeDegrau
        ik = 0; % reseta o termo integral
    end
    
    % calculando sinal de controle
    uk = P*e + D*es + I*ik;
    
end % function inputFunExample