function dydt = modeloMotor(t,y,ev)

    % G = 1/s(Ts + 1) -> th = G*ev
    % sT th + s th = ev
    % dth/dt + 1/T dth/dt = ev/T
    % dom/dt = -1/T om + ev/T
    
    % parmetros
    T = 0.26;
    mu = 0.23;
    
    % adquirindo estados
    th = y(1); % posio do motor
    om = y(2); % velocidade do motor
    
    % calculando derivadas
    dthdt = om;
    domdt = (-1/T)*om + ev/T - mu*sign(om)/T;
    
    % retornando valores
    dydt = [dthdt;...
            domdt];

end % function dydt = modeloMotor(t,y,ev)