function [uk,ik] = controlFunExample(tk,tkm,rk,pk,wk,ikm)

    % definindo referncia interna (ignorando a externa)
    amplitudeDegrau = 6; % no mximo 10, de -5V a +5V
    tempoDegrau = 5; % deve ser maior que o tempo de assentamento
    if mod(tk,2*tempoDegrau) < tempoDegrau 
        rk = -amplitudeDegrau/2;
    else
        rk = +amplitudeDegrau/2;
    end
    
    % constantes aproximadas do motor pra pr-processamento
    Kp = 10;
    Kw = 1;
    
    % calculando sinal de erro
    e = (rk - pk)/Kp;
    es = -wk/Kw;
    ik = ikm + e*(tk-tkm); % integrando o erro

    % definindo valores de controle PI-D
    P = 6.9954;%7.7188;
    I = 5.8295;%6.4323;
    D = 1.95;%1.6701;
    
    % antiwindup simples (reseta integral de erro quando sinal de
    % referncia muda). Assumindo erro esttico da ordem de 2%,  esperado
    % que quando a referncia muda de sinal a diferena entre a mesma e o
    % sinal do potencimetro ser ao menos 100% - 2%
    if abs(rk-pk) > 0.98*amplitudeDegrau
        ik = 0; % reseta o termo integral
    end
    
    % calculando sinal de controle
    uk = P*e + D*es + I*ik;
    
end % function inputFunExample