function returningToPos0(ai,ao,pos0)

    disp('Aguarde enquanto o motor retorna a posio zero...');

    % propriedades aproximadas do motor
    Kw = 1;
    Kp = 10;
    
    % tolerncias do zero
    szma = 100;     % tamanho do filtro mdia mvel (Moving Average)
    limPos = 0.005; % valor aceitvel de posio [V]
    limVel = 0.005; % valor aceitvel de velocidade[V]
    
    % caractersticas de controle PD com 10% de sobressinal e erro esttico
    % inferior  0.005V para atrito 0.25V, referncia 1V
    P = 50;
    D = 3;
    I = 50;ik = 0;
    
    % levando para a posio mais afastada possvel de pos0 para diminuir
    % efeito do atrito (sem, contdo, saturar o potencimetro)
    if pos0 < 0
        refIni = pos0 + 4;
    else % pos0 >= 0
        refIni = pos0 - 4;
    end
    if abs(refIni) > 4
        refIni = 4*sign(refIni);
    end
    maPos = ones(szma,1);ind = 0;
    while mean(maPos) > limPos*10
        sample = getsample(ai);
        uk = P*(refIni-sample(2))/Kp - D*sample(3)/Kw;
        if abs(uk) > 5
            uk = sign(uk)*5;
        end
        putsample(ao,uk);
        ind = mod(ind,szma)+1;
        maPos(ind) = abs(refIni-sample(2));
    end

    % levando pra pos0
    maPos = ones(szma,1);ind = 0;
    maVel = ones(szma,1);
    tSim = tic;tPrev = toc(tSim);
    while mean(maPos) > limPos || mean(maVel) > limVel
        tAct = toc(tSim);
        sample = getsample(ai);
        ik = ik + (tAct-tPrev)*(pos0-sample(2))/Kp;
        uk = P*(pos0-sample(2))/Kp - D*sample(3)/Kw + I*ik;
        if abs(uk) > 5
            uk = sign(uk)*5;
        end
        putsample(ao,uk);
        tPrev = tAct;
        ind = mod(ind,szma)+1;
        maPos(ind) = abs(pos0-sample(2));
        maVel(ind) = abs(sample(3));
    end
    
    disp('-Motor Pronto-');
    disp(['Err Pos 0: ' num2str(mean(maPos),'%.3f') 'V']);

end % function returningToZero